/*COPYRIGHT © 2026 AUTHOR-E BV. ALL RIGHTS RESERVED */
@import url(Variables.css);

#sideMenu > #SearchContainer {
	background-color: #ffffff;
    position: relative;
    bottom: -5px;
    /* left: 15px; */
    border-radius: 10px;
    margin: auto;
    width: 90%;
    height: 35px;
    /* left: 50%; */
    /* transform: translate(-50%, 0); */
    /* margin-bottom: 30px; */
    display: flex;
    align-items: center;
    border: solid 0.5px var(--textPrimary);
}

#overviewLeft > #SearchContainer
{
	display: flex;
	background-color: var(--white);
	height: 35px;
	width: 80%;
	margin:auto;
	border-radius: 10px;
	align-items: center;
}


#SearchContainer .Text
{
	border-radius: 10px;
	height: 80%;
	width: 80%;
   	margin: 0px;
	font-size: 11pt;	
	border: none;
	margin-left: 5%;
}

#SearchContainer .Button
{
	width: 24px;
	height: 24px;
	margin-left: auto;
	margin-right: 5%;
	/* background-color:  #ffffff;
	background-image: url(../Images/go.png);
	background-size: contain;
	background-repeat: no-repeat;
    background-position: center; */
	cursor: pointer; 
	border: none;

	background-color: var(--iconPrimary);
  	mask-image: url(../Images/go.svg);
  	-webkit-mask: url(../Images/go.svg) no-repeat 50% 50%;
  	-webkit-mask-size: contain;
  	mask-size: contain;
}

.Text:focus {
    outline: none;
}

.SearchResults {
    color: #000000;
    overflow-y: auto;
    height: 82vh;
	padding: 40px 70px 0px 0px;
}


.SearchResults a.Title
{
	font-family: sans-serif;
	font-size: 11pt;
	font-weight: bold;
	letter-spacing: 0.1em;
	color: #3C5EA8;
	margin-top: 15px;
	margin-left: 15px;
	
}

.SearchResults .Content
{
	font-family: sans-serif;
	font-size: 10pt;
	color: var(--textSecondary);
	line-height: 15pt;
	margin-left: 15px;
	margin-right: 15px;
	margin-top: 3px;
	margin-bottom: 15px;
}

.SearchResults .Result
{
    width: 99%;
	margin: 25px auto;
    background-color: #ffffff;
    border-bottom: solid 1px var(--line);
}
        
.NoSearchResults 
{
	width: 150px;
    height: 150px;
    margin-left: 10px;
    margin-top: 70px;
    margin-right: auto;
    font-family: sans-serif;
    font-size: 11pt;
    letter-spacing: 0.1em;
    color: var(--textPrimary);
    background-image: url(../Images/noSearchResultIcon.png);
    background-size: contain;
    background-position: center center;
    background-repeat: no-repeat;
}
        


/* Search highlight */
.Highlight
{
    background-color: rgb(232, 128, 86);
}

/* Search Navigation */
.SearchNavigation
{
    text-align: center;
	font-family: sans-serif;
	padding-bottom: 30px;
	padding-top: 30px;
}

.SearchNavigation .Previous, .SearchNavigation .Next
{
    cursor: pointer;
    margin: 0px 3px;
    padding: 0px 3px;   
	background-color: white;   	
}

.SearchNavigation .Previous:hover, .SearchNavigation .Next:hover
{
    font-weight: bolder;
}

.SearchNavigation .Pages
{
    margin: 0px 20px;
    padding: 10px 0px;
}

.SearchNavigation .Pages .PageButton
{
    cursor: pointer;
    margin: 0px 3px;
    padding: 0px 3px;
    color: #2C407D;
    font-family: sans-serif;
	background-color: white;   
}

.SearchNavigation .Pages .PageButton.Active
{
    color:var(--buttonPrimary);
	font-weight: bolder;
}

.SearchNavigation .Pages .PageButton:hover
{
    font-weight: bolder;
}

.SearchNavigation .Pages .Separator
{
    margin: 0px 3px;
}

#buttonBack {
    margin: 15px;
    font-size: 15px;
    color: var(--textPrimary);
    cursor: pointer;
    /* min-width: 50px; */
    width: 75px;
    /* max-width: 150px; */
    height: 30px;
    padding: 4px 16px;
    background-color: var(--buttonPrimary);
    color: white;
    border-radius: 5px;
    background-image: url(../Images/arrowBack.png);
    background-position: center;
    background-size: 50px;
    background-repeat: no-repeat;
}

#buttonBack:hover
{
	background-color: var(--iconPrimary);
}